---
layout: default
---
{% assign page_url = page.url | replace:'index.html','' | replace:'.html','' %}
<script defer src="/assets/vendor/realm-0.8.0.js"></script>
<script defer src="/assets/vendor/bson.js"></script>
<script defer src="/assets/app.js"></script>
{% unless page_url == "/account/auth/" or page_url == "/account/auth/reset/" %}
<script>
    window.addEventListener('load', (event) => {
        if(!app.user) app.redirect('/account/auth/');
    });
</script>
{% endunless %}
<div id="container-main" class="container full-height loader">
    {% include gmonly.html %}
    {{ content }}
    {% include beta.html %}
</div>

<script>
    window.addEventListener('load', (event) => document.getElementById('logout').addEventListener('click', function (e){
        e.preventDefault();
        app.logout().then(result => app.redirect('/'));
    }));
</script>
